Product comparison · 2 network switches

Dell Brocade 6505 vs EnGenius EWS7928FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black

Add a product
  • 22specifications compared
  • 13differ
  • 9identical
  • 39known for one product only

Key differences

  • Switching capacity
    • Brocade 6505:384 Gbit/s
    • EWS7928FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:56 Gbit/s
  • Product colour
    • Brocade 6505:Silver
    • EWS7928FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:Black
  • Power consumption (typical)
    • Brocade 6505:80 W
    • EWS7928FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:370 W
  • Power over Ethernet (PoE)
    • Brocade 6505:No
    • EWS7928FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:Yes
  • Operating temperature (T-T)
    • Brocade 6505:0 - 40 °C
    • EWS7928FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:0 - 50 °C
  • Storage temperature (T-T)
    • Brocade 6505:-25 - 70 °C
    • EWS7928FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:-40 - 70 °C
  • Operating relative humidity (H-H)
    • Brocade 6505:10 - 85%
    • EWS7928FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:5 - 95%
  • Width
    • Brocade 6505:438 mm
    • EWS7928FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:439.9 mm

Side by side

Differences highlightedShow differences only (off)
Comparison of Brocade 6505, EWS7928FP
61 specifications
Management featuresidentical
Switch typeManagedManaged
Switch layerKnown for oneUnknown — not stated by the sourceL2
Web-based managementKnown for oneUnknown — not stated by the sourceYes
System event logKnown for oneUnknown — not stated by the sourceYes
MIB supportKnown for oneUnknown — not stated by the sourceRFC1213, RFC1493, RFC1757, RFC2674
Quality of Service (QoS) supportKnown for oneYesUnknown — not stated by the source
Ports & interfacesidentical
Basic switching RJ-45 Ethernet ports quantityKnown for oneUnknown — not stated by the source24
Basic switching RJ-45 Ethernet ports typeKnown for oneUnknown — not stated by the sourceGigabit Ethernet (10/100/1000)
SFP module slots quantityKnown for oneUnknown — not stated by the source4
Console portRJ-45RJ-45
Fiber optic connectorKnown for oneFCUnknown — not stated by the source
USB 2.0 ports quantityKnown for one1Unknown — not stated by the source
Network1 differ
Networking standardsDiffersIEEE 802.3IEEE 802.1D, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at
10G supportKnown for oneUnknown — not stated by the sourceNo
Port mirroringYesYes
Broadcast storm controlKnown for oneUnknown — not stated by the sourceYes
Link aggregationYesYes
Rate limitingKnown for oneUnknown — not stated by the sourceYes
Spanning tree protocolKnown for oneUnknown — not stated by the sourceYes
VLAN supportKnown for oneUnknown — not stated by the sourceYes
Full duplexKnown for oneYesUnknown — not stated by the source
Auto-sensingKnown for oneYesUnknown — not stated by the source
Data transmission1 differ
Switching capacityDiffers384 Gbit/s56 Gbit/s
Store-and-forwardKnown for oneUnknown — not stated by the sourceYes
Securityidentical
DHCP featuresKnown for oneUnknown — not stated by the sourceDHCP client
Access Control List (ACL)Known for oneUnknown — not stated by the sourceYes
IGMP snoopingKnown for oneUnknown — not stated by the sourceYes
MAC address filteringKnown for oneUnknown — not stated by the sourceYes
SSH/SSL supportYesYes
Security algorithmsKnown for oneHTTPS, SSHUnknown — not stated by the source
Protocols1 differ
Management protocolsDiffersHTTP, SNMP v1/v3SNMP v1/v2c/v3, CLI, RMONv1, SYSLOG
Design1 differ
Rack mountingYesYes
StackableNoNo
Form factor1U1U
Product colourDiffersSilverBlack
LED indicatorsKnown for oneUnknown — not stated by the sourceYes
Number of fansKnown for oneUnknown — not stated by the source2 fan(s)
Performanceidentical
Internal memoryKnown for oneUnknown — not stated by the source256 MB
Flash memoryKnown for oneUnknown — not stated by the source32 MB
Power1 differ
Power consumption (typical)Differs80 W370 W
Number of power supply unitsKnown for one2Unknown — not stated by the source
AC input voltageKnown for one85 - 264 VUnknown — not stated by the source
AC input frequencyKnown for one47/63 HzUnknown — not stated by the source
Input currentKnown for one2.5 AUnknown — not stated by the source
Power over Ethernet (PoE)1 differ
Power over Ethernet (PoE)DiffersNoYes
Power over Ethernet (PoE) ports quantityKnown for oneUnknown — not stated by the source24
Total Power over Ethernet (PoE) budgetKnown for oneUnknown — not stated by the source370 W
Operational conditions3 differ
Operating temperature (T-T)Differs0 - 40 °C0 - 50 °C
Storage temperature (T-T)Differs-25 - 70 °C-40 - 70 °C
Operating relative humidity (H-H)Differs10 - 85%5 - 95%
Storage relative humidity (H-H)Known for one10 - 90%Unknown — not stated by the source
Operating altitudeKnown for one0 - 3000 mUnknown — not stated by the source
Non-operating altitudeKnown for one0 - 12000 mUnknown — not stated by the source
Heat dissipationKnown for one338 BTU/hUnknown — not stated by the source
Weight & dimensions4 differ
WidthDiffers438 mm439.9 mm
DepthDiffers443 mm260 mm
HeightDiffers43 mm43.9 mm
WeightDiffers9.16 kg3.55 kg
Packaging contentidentical
Cables includedKnown for oneUnknown — not stated by the sourceAC, LAN (RJ-45)
Quick start guideKnown for oneUnknown — not stated by the sourceYes
ManualYesYes

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons